Class SupportPlansImpl

java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.SupportPlansImpl
All Implemented Interfaces:
SupportPlans

public class SupportPlansImpl extends Object implements SupportPlans
  • Constructor Details

    • SupportPlansImpl

      public SupportPlansImpl()
  • Method Details

    • list

      public PaginatedList<SupportPlan> list()
      Description copied from interface: SupportPlans
      Lists all support plans for the current account.

      Maps to GET /colocations/v2/supportPlans (Retrieve Smart Hands support plans).

      Specified by:
      list in interface SupportPlans
      Returns:
      a paginated list of support plans
    • list

      public PaginatedList<SupportPlan> list(List<String> accountNumbers, List<String> ibxs, List<String> planIds)
      Description copied from interface: SupportPlans
      Lists support plans filtered by account numbers, IBXs and/or plan ids.

      Maps to GET /colocations/v2/supportPlans (Retrieve Smart Hands support plans).

      Specified by:
      list in interface SupportPlans
      Parameters:
      accountNumbers - the account numbers to filter by, or null
      ibxs - the IBX codes to filter by, or null
      planIds - the plan ids to filter by, or null
      Returns:
      a paginated list of matching support plans
    • list

      public PaginatedList<SupportPlan> list(List<String> accountNumbers, List<String> ibxs, List<String> planIds, List<String> sorts)
      Description copied from interface: SupportPlans
      Lists support plans filtered by account numbers, IBXs and/or plan ids, sorted by the supplied sort specifiers.

      Maps to GET /colocations/v2/supportPlans (Retrieve Smart Hands support plans) with the sorts query parameter.

      Specified by:
      list in interface SupportPlans
      Parameters:
      accountNumbers - the account numbers to filter by, or null
      ibxs - the IBX codes to filter by, or null
      planIds - the plan ids to filter by, or null
      sorts - the sort specifiers, or null
      Returns:
      a paginated list of matching support plans